CONFIG +=			release \
					warn_on \
					qt \
					thread 

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		encodersimulationd
} else {
	TARGET =		encodersimulation
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

SOURCES +=			src/encodersimulation.cpp \
					src/encoderchannel.cpp \
					src/encoderinterpolator.cpp \
					src/main.cpp \
					../core/graphwidget.cpp \
					../core/vector2.cpp \
					../core/vector3.cpp

HEADERS +=			src/encodersimulation.h \
					src/encoderchannel.h \
					src/encoderinterpolator.h \
					../core/graphwidget.h \
					../core/vector2.h \
					../core/vector3.h

RESOURCES +=		res/encodersimulation.qrc

macx{

ICON =				res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/encodersimulation
}
target.path =		$$PREFIX
target.files =		bin/encodersimulation
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/encodersimulation
}

win32 {
RC_FILE =			res/resource.rc
}
